Queries
Get Holder Tokens
List all stock tokens held by a specific wallet address
GET
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List all stock tokens held by a specific wallet address
curl "https://api.trusset.org/stocks/api/fetch/holder/0xAbC123..." \
-H "X-API-Key: trusset_abc123xy_secret..."
const response = await fetch(
`https://api.trusset.org/stocks/api/fetch/holder/${walletAddress}`,
{
headers: { 'X-API-Key': 'trusset_abc123xy_secret...' }
}
);
const { data } = await response.json();
{
"success": true,
"data": [
{
"tokenAddress": "0x1234567890abcdef1234567890abcdef12345678",
"name": "Acme Corp Equity",
"symbol": "ACME",
"balance": "500"
}
],
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
curl "https://api.trusset.org/stocks/api/fetch/holder/0xAbC123..." \
-H "X-API-Key: trusset_abc123xy_secret..."
const response = await fetch(
`https://api.trusset.org/stocks/api/fetch/holder/${walletAddress}`,
{
headers: { 'X-API-Key': 'trusset_abc123xy_secret...' }
}
);
const { data } = await response.json();
{
"success": true,
"data": [
{
"tokenAddress": "0x1234567890abcdef1234567890abcdef12345678",
"name": "Acme Corp Equity",
"symbol": "ACME",
"balance": "500"
}
],
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
curl "https://api.trusset.org/stocks/api/fetch/holder/0xAbC123..." \
-H "X-API-Key: trusset_abc123xy_secret..."
const response = await fetch(
`https://api.trusset.org/stocks/api/fetch/holder/${walletAddress}`,
{
headers: { 'X-API-Key': 'trusset_abc123xy_secret...' }
}
);
const { data } = await response.json();
{
"success": true,
"data": [
{
"tokenAddress": "0x1234567890abcdef1234567890abcdef12345678",
"name": "Acme Corp Equity",
"symbol": "ACME",
"balance": "500"
}
],
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
